public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Pagano" <mpagano@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-kernel/linux-firmware/
Date: Fri,  8 Jul 2022 17:10:53 +0000 (UTC)	[thread overview]
Message-ID: <1657300221.5f6f206ceb1aeeb2423dec02f02f67ebbe087b26.mpagano@gentoo> (raw)

commit:     5f6f206ceb1aeeb2423dec02f02f67ebbe087b26
Author:     Mike Pagano <mpagano <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  8 17:10:21 2022 +0000
Commit:     Mike Pagano <mpagano <AT> gentoo <DOT> org>
CommitDate: Fri Jul  8 17:10:21 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f6f206c

sys-kernel/linux-firmware: add 20220708

Signed-off-by: Mike Pagano <mpagano <AT> gentoo.org>

 sys-kernel/linux-firmware/Manifest                 |   1 +
 .../linux-firmware/linux-firmware-20220708.ebuild  | 349 +++++++++++++++++++++
 2 files changed, 350 insertions(+)

diff --git a/sys-kernel/linux-firmware/Manifest b/sys-kernel/linux-firmware/Manifest
index 3934910d2818..2af86f9995e0 100644
--- a/sys-kernel/linux-firmware/Manifest
+++ b/sys-kernel/linux-firmware/Manifest
@@ -9,3 +9,4 @@ DIST linux-firmware-20220310.tar.xz 237571732 BLAKE2B 9246d4fcdca0a9514606eb7b4e
 DIST linux-firmware-20220411.tar.xz 237957584 BLAKE2B 441699abac0a7554c96324e40676218401febe9ea2a11ff9ab9f9ea4945b4c590c10c9a353aa8c5c66325b408ab9ebcb57fa77b520066f1d9995cb5989bc5b75 SHA512 5470701872ed4670962d3ccb4fd046c1f00145d69e942d76b21ccce08077ca4db867bbb31b87668e6298e130f28fc522a6ff4d66927fbfcee44042e1d908f71d
 DIST linux-firmware-20220509.tar.xz 253717320 BLAKE2B 0181e209a05c3acbdcdc175868dca0ae2993effac0b265335f502a03d3a38cc4849366bb229ade87621426e99112f520f4d50444e438572c61cfc2c6d01ed6a6 SHA512 17d48222a0029d0540a7071b541653a42d66676c4dde88b7c148249450cfcb09087318cb4558ca7a0a7583f3bf0b00948d9383073e038c4f76bc4e807c757c2a
 DIST linux-firmware-20220610.tar.xz 252543088 BLAKE2B b3f627fe150f76c9a1c7b70bf691587554808275debd56e9d36fd0eff63b7ab2351ba03dd298066b03db7f2e590d7f130677e158ade587fbfb59a9efd8f83c0c SHA512 76176af2bf1e83d91c88289623364bc5d3e45d96c8586bd5c064535ee245d133283d2176d142492139cfbd41ca6ad195522c662d923b6cc76556c8509638ad0d
+DIST linux-firmware-20220708.tar.xz 242130176 BLAKE2B 7dce1bf1e13c1c59dd0de8485301cc011e8d73ee55d5dfcf9554ebe13c53870d3d6c2b7b8a79984ea0ea0eb8683bdd589c49e7824081c985bb951753431ee35b SHA512 cc3454ba9a26fac8ce87a08f5fef74a586e81ba3225bac53c702749fb6606cea829cea51d6cf55e0cb2fcfb28b2350d60998fe7782cba00d6eb5b26204f57e37

diff --git a/sys-kernel/linux-firmware/linux-firmware-20220708.ebuild b/sys-kernel/linux-firmware/linux-firmware-20220708.ebuild
new file mode 100644
index 000000000000..f4b705f99cb1
--- /dev/null
+++ b/sys-kernel/linux-firmware/linux-firmware-20220708.ebuild
@@ -0,0 +1,349 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit mount-boot savedconfig
+
+# In case this is a real snapshot, fill in commit below.
+# For normal, tagged releases, leave blank
+MY_COMMIT=""
+
+if [[ ${PV} == 99999999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://git.kernel.org/pub/scm/linux/kernel/git/firmware/${PN}.git"
+else
+	if [[ -n "${MY_COMMIT}" ]]; then
+		SRC_URI="https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/snapshot/${MY_COMMIT}.tar.gz -> ${P}.tar.gz"
+		S="${WORKDIR}/${MY_COMMIT}"
+	else
+		SRC_URI="https://mirrors.edge.kernel.org/pub/linux/kernel/firmware/${P}.tar.xz"
+	fi
+
+	KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
+fi
+
+DESCRIPTION="Linux firmware files"
+HOMEPAGE="https://git.kernel.org/?p=linux/kernel/git/firmware/linux-firmware.git"
+
+LICENSE="GPL-2 GPL-2+ GPL-3 BSD MIT || ( MPL-1.1 GPL-2 )
+	redistributable? (
+		linux-fw-redistributable ( BSD-2 BSD BSD-4 ISC MIT no-source-code ) )
+	unknown-license? ( all-rights-reserved )"
+SLOT="0"
+IUSE="initramfs +redistributable savedconfig unknown-license"
+REQUIRED_USE="initramfs? ( redistributable )"
+
+RESTRICT="binchecks strip test
+	unknown-license? ( bindist )"
+
+BDEPEND="initramfs? ( app-arch/cpio )"
+
+#add anything else that collides to this
+RDEPEND="!savedconfig? (
+		redistributable? (
+			!sys-firmware/alsa-firmware[alsa_cards_ca0132]
+			!sys-block/qla-fc-firmware
+			!sys-firmware/iwl1000-ucode
+			!sys-firmware/iwl6005-ucode
+			!sys-firmware/iwl6030-ucode
+			!sys-firmware/iwl3160-ucode
+			!sys-firmware/iwl7260-ucode
+			!sys-firmware/iwl3160-7260-bt-ucode
+			!sys-firmware/raspberrypi-wifi-ucode
+		)
+		unknown-license? (
+			!sys-firmware/alsa-firmware[alsa_cards_korg1212]
+			!sys-firmware/alsa-firmware[alsa_cards_maestro3]
+			!sys-firmware/alsa-firmware[alsa_cards_sb16]
+			!sys-firmware/alsa-firmware[alsa_cards_ymfpci]
+		)
+	)"
+
+QA_PREBUILT="*"
+
+pkg_pretend() {
+	use initramfs && mount-boot_pkg_pretend
+}
+
+src_unpack() {
+	if [[ ${PV} == 99999999* ]]; then
+		git-r3_src_unpack
+	else
+		default
+		# rename directory from git snapshot tarball
+		if [[ ${#GIT_COMMIT} -gt 8 ]]; then
+			mv ${PN}-*/ ${P} || die
+		fi
+	fi
+}
+
+src_prepare() {
+	default
+
+	find . -type f -not -perm 0644 -print0 \
+		| xargs --null --no-run-if-empty chmod 0644 \
+		|| die
+
+	chmod +x copy-firmware.sh || die
+
+	if use initramfs; then
+		if [[ -d "${S}/amd-ucode" ]]; then
+			local UCODETMP="${T}/ucode_tmp"
+			local UCODEDIR="${UCODETMP}/kernel/x86/microcode"
+			mkdir -p "${UCODEDIR}" || die
+			echo 1 > "${UCODETMP}/early_cpio"
+
+			local amd_ucode_file="${UCODEDIR}/AuthenticAMD.bin"
+			cat "${S}"/amd-ucode/*.bin > "${amd_ucode_file}" || die "Failed to concat amd cpu ucode"
+
+			if [[ ! -s "${amd_ucode_file}" ]]; then
+				die "Sanity check failed: '${amd_ucode_file}' is empty!"
+			fi
+
+			pushd "${UCODETMP}" &>/dev/null || die
+			find . -print0 | cpio --quiet --null -o -H newc -R 0:0 > "${S}"/amd-uc.img
+			popd &>/dev/null || die
+			if [[ ! -s "${S}/amd-uc.img" ]]; then
+				die "Failed to create '${S}/amd-uc.img'!"
+			fi
+		else
+			# If this will ever happen something has changed which
+			# must be reviewed
+			die "'${S}/amd-ucode' not found!"
+		fi
+	fi
+
+	# whitelist of misc files
+	local misc_files=(
+		copy-firmware.sh
+		WHENCE
+		README
+	)
+
+	# whitelist of images with a free software license
+	local free_software=(
+		# keyspan_pda (GPL-2+)
+		keyspan_pda/keyspan_pda.fw
+		keyspan_pda/xircom_pgs.fw
+		# dsp56k (GPL-2+)
+		dsp56k/bootstrap.bin
+		# ath9k_htc (BSD GPL-2+ MIT)
+		ath9k_htc/htc_7010-1.4.0.fw
+		ath9k_htc/htc_9271-1.4.0.fw
+		# pcnet_cs, 3c589_cs, 3c574_cs, serial_cs (dual GPL-2/MPL-1.1)
+		cis/LA-PCM.cis
+		cis/PCMLM28.cis
+		cis/DP83903.cis
+		cis/NE2K.cis
+		cis/tamarack.cis
+		cis/PE-200.cis
+		cis/PE520.cis
+		cis/3CXEM556.cis
+		cis/3CCFEM556.cis
+		cis/MT5634ZLX.cis
+		cis/RS-COM-2P.cis
+		cis/COMpad2.cis
+		cis/COMpad4.cis
+		# serial_cs (GPL-3)
+		cis/SW_555_SER.cis
+		cis/SW_7xx_SER.cis
+		cis/SW_8xx_SER.cis
+		# dvb-ttpci (GPL-2+)
+		av7110/bootcode.bin
+		# usbdux, usbduxfast, usbduxsigma (GPL-2+)
+		usbdux_firmware.bin
+		usbduxfast_firmware.bin
+		usbduxsigma_firmware.bin
+		# brcmfmac (GPL-2+)
+		brcm/brcmfmac4330-sdio.Prowise-PT301.txt
+		brcm/brcmfmac43340-sdio.meegopad-t08.txt
+		brcm/brcmfmac43362-sdio.cubietech,cubietruck.txt
+		brcm/brcmfmac43362-sdio.lemaker,bananapro.txt
+		brcm/brcmfmac43430a0-sdio.jumper-ezpad-mini3.txt
+		"brcm/brcmfmac43430a0-sdio.ONDA-V80 PLUS.txt"
+		brcm/brcmfmac43430-sdio.AP6212.txt
+		brcm/brcmfmac43430-sdio.Hampoo-D2D3_Vi8A1.txt
+		brcm/brcmfmac43430-sdio.MUR1DX.txt
+		brcm/brcmfmac43430-sdio.raspberrypi,3-model-b.txt
+		brcm/brcmfmac43455-sdio.raspberrypi,3-model-b-plus.txt
+		brcm/brcmfmac4356-pcie.gpd-win-pocket.txt
+		# isci (GPL-2)
+		isci/isci_firmware.bin
+		# carl9170 (GPL-2+)
+		carl9170-1.fw
+		# atusb (GPL-2+)
+		atusb/atusb-0.2.dfu
+		atusb/atusb-0.3.dfu
+		atusb/rzusb-0.3.bin
+		# mlxsw_spectrum (dual BSD/GPL-2)
+		mellanox/mlxsw_spectrum-13.1420.122.mfa2
+		mellanox/mlxsw_spectrum-13.1530.152.mfa2
+		mellanox/mlxsw_spectrum-13.1620.192.mfa2
+		mellanox/mlxsw_spectrum-13.1702.6.mfa2
+		mellanox/mlxsw_spectrum-13.1703.4.mfa2
+		mellanox/mlxsw_spectrum-13.1910.622.mfa2
+		mellanox/mlxsw_spectrum-13.2000.1122.mfa2
+	)
+
+	# blacklist of images with unknown license
+	local unknown_license=(
+		korg/k1212.dsp
+		ess/maestro3_assp_kernel.fw
+		ess/maestro3_assp_minisrc.fw
+		yamaha/ds1_ctrl.fw
+		yamaha/ds1_dsp.fw
+		yamaha/ds1e_ctrl.fw
+		ttusb-budget/dspbootcode.bin
+		emi62/bitstream.fw
+		emi62/loader.fw
+		emi62/midi.fw
+		emi62/spdif.fw
+		ti_3410.fw
+		ti_5052.fw
+		mts_mt9234mu.fw
+		mts_mt9234zba.fw
+		whiteheat.fw
+		whiteheat_loader.fw
+		cpia2/stv0672_vp4.bin
+		vicam/firmware.fw
+		edgeport/boot.fw
+		edgeport/boot2.fw
+		edgeport/down.fw
+		edgeport/down2.fw
+		edgeport/down3.bin
+		sb16/mulaw_main.csp
+		sb16/alaw_main.csp
+		sb16/ima_adpcm_init.csp
+		sb16/ima_adpcm_playback.csp
+		sb16/ima_adpcm_capture.csp
+		sun/cassini.bin
+		acenic/tg1.bin
+		acenic/tg2.bin
+		adaptec/starfire_rx.bin
+		adaptec/starfire_tx.bin
+		yam/1200.bin
+		yam/9600.bin
+		ositech/Xilinx7OD.bin
+		qlogic/isp1000.bin
+		myricom/lanai.bin
+		yamaha/yss225_registers.bin
+		lgs8g75.fw
+	)
+
+	if use !unknown-license; then
+		einfo "Removing files with unknown license ..."
+		rm -v "${unknown_license[@]}" || die
+	fi
+
+	if use !redistributable; then
+		# remove files _not_ in the free_software or unknown_license lists
+		# everything else is confirmed (or assumed) to be redistributable
+		# based on upstream acceptance policy
+		einfo "Removing non-redistributable files ..."
+		local OLDIFS="${IFS}"
+		local IFS=$'\n'
+		set -o pipefail
+		find ! -type d -printf "%P\n" \
+			| grep -Fvx -e "${misc_files[*]}" -e "${free_software[*]}" -e "${unknown_license[*]}" \
+			| xargs -d '\n' --no-run-if-empty rm -v
+
+		[[ ${?} -ne 0 ]] && die "Failed to remove non-redistributable files"
+
+		IFS="${OLDIFS}"
+	fi
+
+	restore_config ${PN}.conf
+}
+
+src_install() {
+	./copy-firmware.sh -v "${ED}/lib/firmware" || die
+
+	pushd "${ED}/lib/firmware" &>/dev/null || die
+
+	# especially use !redistributable will cause some broken symlinks
+	einfo "Removing broken symlinks ..."
+	find * -xtype l -print -delete || die
+
+	if use savedconfig; then
+		if [[ -s "${S}/${PN}.conf" ]]; then
+			local files_to_keep="${T}/files_to_keep.lst"
+			grep -v '^#' "${S}/${PN}.conf" 2>/dev/null > "${files_to_keep}" || die
+			[[ -s "${files_to_keep}" ]] || die "grep failed, empty config file?"
+
+			einfo "Applying USE=savedconfig; Removing all files not listed in config ..."
+			find ! -type d -printf "%P\n" \
+				| grep -Fvx -f "${files_to_keep}" \
+				| xargs -d '\n' --no-run-if-empty rm -v
+
+			if [[ ${PIPESTATUS[0]} -ne 0 ]]; then
+				die "Find failed to print installed files"
+			elif [[ ${PIPESTATUS[1]} -eq 2 ]]; then
+				# grep returns exit status 1 if no lines were selected
+				# which is the case when we want to keep all files
+				die "Grep failed to select files to keep"
+			elif [[ ${PIPESTATUS[2]} -ne 0 ]]; then
+				die "Failed to remove files not listed in config"
+			fi
+		fi
+	fi
+
+	# remove empty directories, bug #396073
+	find -type d -empty -delete || die
+
+	# sanity check
+	if ! ( shopt -s failglob; : * ) 2>/dev/null; then
+		eerror "No files to install. Check your USE flag settings"
+		eerror "and the list of files in your saved configuration."
+		die "Refusing to install an empty package"
+	fi
+
+	# create config file
+	echo "# Remove files that shall not be installed from this list." > "${S}"/${PN}.conf || die
+	find * ! -type d >> "${S}"/${PN}.conf || die
+	save_config "${S}"/${PN}.conf
+
+	popd &>/dev/null || die
+
+	if use initramfs ; then
+		insinto /boot
+		doins "${S}"/amd-uc.img
+	fi
+}
+
+pkg_preinst() {
+	if use savedconfig; then
+		ewarn "USE=savedconfig is active. You must handle file collisions manually."
+	fi
+
+	# Make sure /boot is available if needed.
+	use initramfs && mount-boot_pkg_preinst
+}
+
+pkg_postinst() {
+	elog "If you are only interested in particular firmware files, edit the saved"
+	elog "configfile and remove those that you do not want."
+
+	local ver
+	for ver in ${REPLACING_VERSIONS}; do
+		if ver_test ${ver} -lt 20190514; then
+			elog
+			elog 'Starting with version 20190514, installation of many firmware'
+			elog 'files is controlled by USE flags. Please review your USE flag'
+			elog 'and package.license settings if you are missing some files.'
+			break
+		fi
+	done
+
+	# Don't forget to umount /boot if it was previously mounted by us.
+	use initramfs && mount-boot_pkg_postinst
+}
+
+pkg_prerm() {
+	# Make sure /boot is mounted so that we can remove /boot/amd-uc.img!
+	use initramfs && mount-boot_pkg_prerm
+}
+
+pkg_postrm() {
+	# Don't forget to umount /boot if it was previously mounted by us.
+	use initramfs && mount-boot_pkg_postrm
+}


             reply	other threads:[~2022-07-08 17:10 UTC|newest]

Thread overview: 363+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-07-08 17:10 Mike Pagano [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-20 17:08 [gentoo-commits] repo/gentoo:master commit in: sys-kernel/linux-firmware/ Andrew Ammerlaan
2024-09-14 22:24 Mike Pagano
2024-09-14 22:23 Mike Pagano
2024-09-10 15:54 Mike Pagano
2024-08-12 22:29 Mike Pagano
2024-08-12 22:28 Mike Pagano
2024-08-11 18:57 Mike Pagano
2024-08-11 18:56 Mike Pagano
2024-07-18  6:09 Andrew Ammerlaan
2024-07-12 11:49 Mike Pagano
2024-07-12 11:49 Mike Pagano
2024-07-10 15:51 Mike Pagano
2024-07-01 17:56 Andrew Ammerlaan
2024-06-30 17:31 Sam James
2024-06-29  8:39 Andrew Ammerlaan
2024-06-15 22:08 Mike Pagano
2024-06-15 22:08 Mike Pagano
2024-06-13 20:09 Mike Pagano
2024-05-17 12:07 Andrew Ammerlaan
2024-05-16 12:57 Mike Pagano
2024-05-16 12:57 Mike Pagano
2024-05-16 12:53 Mike Pagano
2024-05-16 12:53 Mike Pagano
2024-05-16 12:48 Mike Pagano
2024-05-16 12:48 Mike Pagano
2024-05-13 13:04 Mike Pagano
2024-04-20 14:10 Mike Pagano
2024-04-13 16:41 Mike Pagano
2024-04-11 16:42 Mike Pagano
2024-03-13 13:31 Mike Pagano
2024-03-12 18:16 Mike Pagano
2024-03-12 18:16 Mike Pagano
2024-03-12 18:15 Mike Pagano
2024-02-25 15:19 Mike Pagano
2024-02-22 18:08 Ulrich Müller
2024-02-21 12:33 Mike Pagano
2024-02-21 12:33 Mike Pagano
2024-02-20 19:26 Mike Pagano
2024-02-16 12:09 Mike Pagano
2024-02-15 22:55 Mike Pagano
2024-02-04 18:46 Mike Pagano
2024-01-29 23:38 Mike Pagano
2024-01-20 20:03 Mike Pagano
2024-01-18 19:03 Mike Pagano
2024-01-18 19:02 Mike Pagano
2024-01-16  0:25 Mike Pagano
2023-12-27  1:36 Ionen Wolkens
2023-12-20  2:34 Ionen Wolkens
2023-12-20  2:34 Ionen Wolkens
2023-12-18  9:01 Arthur Zamarin
2023-12-17 14:45 Mike Pagano
2023-12-17 14:45 Mike Pagano
2023-12-17  6:20 Arthur Zamarin
2023-12-16 19:16 Arthur Zamarin
2023-12-16 19:16 Arthur Zamarin
2023-12-16 16:17 Arthur Zamarin
2023-12-15 23:15 Mike Pagano
2023-12-12 23:41 Mike Pagano
2023-12-12 23:40 Mike Pagano
2023-12-12  6:30 Viorel Munteanu
2023-12-08 13:56 Arthur Zamarin
2023-12-01 19:04 Arthur Zamarin
2023-11-30 22:35 James Le Cuirot
2023-11-29  4:10 Sam James
2023-11-26 15:23 Mike Pagano
2023-11-13 10:24 Yixun Lan
2023-11-13  8:35 Joonas Niilola
2023-11-13  2:11 Sam James
2023-11-13  2:11 Sam James
2023-11-13  2:11 Sam James
2023-11-13  1:05 Sam James
2023-11-12 18:56 Mike Pagano
2023-11-02 17:14 Mike Pagano
2023-11-02 17:14 Mike Pagano
2023-10-30 19:24 Mike Pagano
2023-09-25 13:07 Mike Pagano
2023-09-25 13:07 Mike Pagano
2023-09-21 14:04 Mike Pagano
2023-09-21 14:03 Mike Pagano
2023-08-07 22:26 Mike Pagano
2023-08-05 18:40 Mike Pagano
2023-08-04 18:09 Mike Pagano
2023-07-25  4:59 Sam James
2023-07-24 18:16 Sam James
2023-07-19 18:54 Mike Pagano
2023-07-19 18:54 Mike Pagano
2023-07-14 13:07 Sam James
2023-07-14 13:07 Sam James
2023-07-12 11:59 Mike Pagano
2023-06-28 22:45 Mike Pagano
2023-06-26 12:31 Mike Pagano
2023-06-26 12:31 Mike Pagano
2023-06-25 17:06 Mike Pagano
2023-06-23 10:19 Mike Pagano
2023-06-23 10:19 Mike Pagano
2023-06-23 10:19 Mike Pagano
2023-06-22 22:53 Mike Pagano
2023-06-22 22:53 Mike Pagano
2023-06-22 22:53 Mike Pagano
2023-06-22 22:53 Mike Pagano
2023-06-22 22:53 Mike Pagano
2023-06-22 22:53 Mike Pagano
2023-06-22 22:53 Mike Pagano
2023-06-22 22:53 Mike Pagano
2023-05-17 22:15 Mike Pagano
2023-05-16 18:40 Mike Pagano
2023-05-14 12:29 Mike Pagano
2023-04-10 15:12 Mike Pagano
2023-04-07 14:45 Mike Pagano
2023-04-05 14:53 Mike Pagano
2023-03-18 14:58 Mike Pagano
2023-03-18 14:58 Mike Pagano
2023-03-14 12:24 Mike Pagano
2023-03-12 19:09 Mike Pagano
2023-03-12 15:37 Mike Pagano
2023-03-10 23:23 Mike Pagano
2023-03-10 23:22 Mike Pagano
2023-02-13 14:03 Mike Pagano
2023-02-11 13:54 Mike Pagano
2023-02-09 14:22 Mike Pagano
2023-01-24  9:59 Mike Pagano
2023-01-21 16:54 Ulrich Müller
2023-01-18 14:02 Mike Pagano
2022-12-19 22:59 Mike Pagano
2022-12-18 16:43 Mike Pagano
2022-12-14 16:50 Mike Pagano
2022-11-12 23:13 Mike Pagano
2022-11-11 17:15 Mike Pagano
2022-10-28 17:02 Sam James
2022-10-14 18:36 Mike Pagano
2022-10-13 14:54 Mike Pagano
2022-10-13 14:53 Mike Pagano
2022-09-20  2:21 Mike Gilbert
2022-09-20  2:07 Mike Gilbert
2022-09-19 22:03 Mike Pagano
2022-09-19 17:27 Mike Pagano
2022-09-19 17:27 Mike Pagano
2022-09-19 17:14 Mike Pagano
2022-09-14 13:27 Mike Pagano
2022-09-14 13:27 Mike Pagano
2022-09-07 12:14 Mike Pagano
2022-08-15 15:51 Mike Pagano
2022-08-15 15:50 Mike Pagano
2022-07-08 17:10 Mike Pagano
2022-07-07 16:16 Alice Ferrazzi
2022-06-13 11:33 Mike Pagano
2022-06-13 11:27 Mike Pagano
2022-05-19  8:21 WANG Xuerui
2022-05-12 13:18 Mike Pagano
2022-04-13 15:37 Mike Pagano
2022-03-24 17:15 Mike Pagano
2022-03-18 13:41 Rick Farina
2022-03-17 18:31 Mike Pagano
2022-03-13 20:23 Mike Pagano
2022-03-12 19:33 Mike Pagano
2022-03-12 19:30 Mike Pagano
2022-02-15 14:15 Mike Pagano
2022-02-10 14:36 Mike Pagano
2022-01-09 22:25 James Le Cuirot
2021-12-18 21:02 Mike Pagano
2021-10-29 19:44 Mike Pagano
2021-10-26 12:18 Mike Pagano
2021-09-12  2:11 Matt Turner
2021-08-30 16:03 Thomas Deutschmann
2021-08-06 11:54 Mike Pagano
2021-06-29 18:26 Rick Farina
2021-06-03 15:49 Rick Farina
2021-06-03 15:49 Rick Farina
2021-05-13  0:14 Thomas Deutschmann
2021-05-13  0:14 Thomas Deutschmann
2021-05-13  0:14 Thomas Deutschmann
2021-05-13  0:14 Thomas Deutschmann
2021-04-01  8:27 Yixun Lan
2021-03-17 22:39 Thomas Deutschmann
2021-02-11 21:21 Rick Farina
2021-02-09  1:35 Thomas Deutschmann
2020-12-24  3:11 Mike Gilbert
2020-12-22 18:03 Thomas Deutschmann
2020-11-26 13:21 Sam James
2020-11-26  4:57 Sam James
2020-11-26  4:57 Sam James
2020-11-19 18:26 Thomas Deutschmann
2020-10-31 21:18 Thomas Deutschmann
2020-10-30 16:46 Thomas Deutschmann
2020-10-30 16:46 Thomas Deutschmann
2020-10-30 16:46 Thomas Deutschmann
2020-10-30 16:46 Thomas Deutschmann
2020-10-29 20:32 Thomas Deutschmann
2020-10-25 23:23 Thomas Deutschmann
2020-09-20 23:13 Thomas Deutschmann
2020-08-18 13:52 Thomas Deutschmann
2020-07-22 13:14 Thomas Deutschmann
2020-07-22 13:14 Thomas Deutschmann
2020-06-30 13:36 Thomas Deutschmann
2020-06-26 19:45 Matt Turner
2020-06-26 19:33 Thomas Deutschmann
2020-06-26 19:33 Thomas Deutschmann
2020-06-26 19:10 Matt Turner
2020-06-26 19:10 Matt Turner
2020-05-27 15:13 Rick Farina
2020-04-28 22:08 Thomas Deutschmann
2020-04-28 22:08 Thomas Deutschmann
2020-04-14 23:33 Jason A. Donenfeld
2020-03-18 19:53 Thomas Deutschmann
2020-03-18 19:46 Thomas Deutschmann
2020-03-18 18:03 Thomas Deutschmann
2020-03-18 18:03 Thomas Deutschmann
2020-03-06 16:51 Thomas Deutschmann
2020-01-25 19:59 Thomas Deutschmann
2020-01-07 10:03 Michał Górny
2019-12-15 18:18 Mike Pagano
2019-11-10 18:37 Thomas Deutschmann
2019-10-22 21:01 Thomas Deutschmann
2019-10-10 21:40 Thomas Deutschmann
2019-10-06  8:13 Thomas Deutschmann
2019-09-24 13:47 Thomas Deutschmann
2019-09-08 13:34 Thomas Deutschmann
2019-08-22 17:19 Thomas Deutschmann
2019-08-16 20:11 Thomas Deutschmann
2019-08-16 20:11 Thomas Deutschmann
2019-08-16 20:11 Thomas Deutschmann
2019-08-07 16:50 Thomas Deutschmann
2019-08-03 17:42 Thomas Deutschmann
2019-08-03 16:07 Thomas Deutschmann
2019-08-03 13:26 Thomas Deutschmann
2019-08-03  0:54 Thomas Deutschmann
2019-08-02 23:59 Thomas Deutschmann
2019-08-02 23:59 Thomas Deutschmann
2019-07-18  2:18 Thomas Deutschmann
2019-07-12 23:44 Thomas Deutschmann
2019-06-27 21:38 Thomas Deutschmann
2019-06-27 21:38 Thomas Deutschmann
2019-06-07 16:53 Ulrich Müller
2019-05-20 21:36 Ulrich Müller
2019-05-19 22:47 Ulrich Müller
2019-05-19 18:26 Ulrich Müller
2019-05-19 18:14 Rick Farina
2019-05-19 18:12 Rick Farina
2019-05-19 18:00 Rick Farina
2019-05-19 15:54 Thomas Deutschmann
2019-05-19  9:39 Ulrich Müller
2019-05-19  8:31 Ulrich Müller
2019-05-19  6:49 Ulrich Müller
2019-05-19  6:37 Ulrich Müller
2019-05-19  6:37 Ulrich Müller
2019-05-19  1:40 Rick Farina
2019-05-19  1:14 Rick Farina
2019-05-18 19:49 Ulrich Müller
2019-05-18 19:12 Ulrich Müller
2019-05-13  2:00 Thomas Deutschmann
2019-05-13  2:00 Thomas Deutschmann
2019-05-03 12:36 Mike Pagano
2019-04-29  0:33 Thomas Deutschmann
2019-04-28 23:49 Thomas Deutschmann
2019-04-28 23:49 Thomas Deutschmann
2019-04-11  9:47 Manuel Rüger
2019-03-13 22:58 Thomas Deutschmann
2019-03-13 22:58 Thomas Deutschmann
2019-03-06 22:52 Thomas Deutschmann
2019-03-06 22:52 Thomas Deutschmann
2019-03-04 23:24 Thomas Deutschmann
2019-02-23 11:26 Ulrich Müller
2019-02-22 15:03 Thomas Deutschmann
2019-02-13 16:49 Manuel Rüger
2019-01-24 23:31 Thomas Deutschmann
2019-01-22 14:34 Manuel Rüger
2019-01-15 15:00 Manuel Rüger
2019-01-02 13:43 Thomas Deutschmann
2018-12-23 13:15 Lars Wendler
2018-12-20 15:50 Manuel Rüger
2018-12-17 23:20 Thomas Deutschmann
2018-12-16 12:00 Manuel Rüger
2018-10-29 23:06 Thomas Deutschmann
2018-10-29 23:06 Thomas Deutschmann
2018-10-29 23:06 Thomas Deutschmann
2018-10-02  9:16 Thomas Deutschmann
2018-10-02  9:16 Thomas Deutschmann
2018-09-15 14:23 Thomas Deutschmann
2018-09-15 14:23 Thomas Deutschmann
2018-09-15 14:23 Thomas Deutschmann
2018-08-28 16:11 Thomas Deutschmann
2018-08-08 19:00 Thomas Deutschmann
2018-08-08 19:00 Thomas Deutschmann
2018-08-08 19:00 Thomas Deutschmann
2018-07-24 12:31 Thomas Deutschmann
2018-07-24 12:31 Thomas Deutschmann
2018-07-23 13:45 Mike Pagano
2018-06-07 12:57 Manuel Rüger
2018-06-02 12:51 Manuel Rüger
2018-06-02 12:50 Manuel Rüger
2018-05-21 16:41 Mike Pagano
2018-05-15 14:00 Manuel Rüger
2018-05-15 13:53 Manuel Rüger
2018-04-16 13:55 Manuel Rüger
2018-04-12 13:13 Mike Pagano
2018-03-19 23:16 Manuel Rüger
2018-03-19 23:16 Manuel Rüger
2018-03-04  8:16 Tobias Klausmann
2018-02-16 12:16 Manuel Rüger
2018-02-10 19:16 Sergei Trofimovich
2018-02-05 21:27 Markus Meier
2018-01-26 13:48 Manuel Rüger
2018-01-26 13:48 Manuel Rüger
2018-01-13 10:11 Sergei Trofimovich
2018-01-11 22:33 Sergei Trofimovich
2018-01-06 21:49 Sergei Trofimovich
2018-01-06 17:53 Agostino Sarubbo
2018-01-04 19:32 Thomas Deutschmann
2018-01-04 13:10 Manuel Rüger
2018-01-04 13:10 Manuel Rüger
2017-12-07 18:19 Manuel Rüger
2017-12-07 18:19 Manuel Rüger
2017-12-05  8:49 Sergei Trofimovich
2017-11-23 15:52 Mike Gilbert
2017-11-23 15:34 Mike Gilbert
2017-11-23 15:25 Mike Gilbert
2017-11-23 14:25 Manuel Rüger
2017-10-30 12:24 Manuel Rüger
2017-10-23 12:39 Manuel Rüger
2017-09-10 12:39 Manuel Rüger
2017-06-23 11:02 Manuel Rüger
2017-06-10 13:45 Agostino Sarubbo
2017-05-30  4:56 Markus Meier
2017-05-26 14:59 Agostino Sarubbo
2017-05-26 14:05 Agostino Sarubbo
2017-05-24 13:46 Agostino Sarubbo
2017-05-22 18:07 Tobias Klausmann
2017-05-22 13:31 Agostino Sarubbo
2017-05-22 12:38 Manuel Rüger
2017-04-24  7:54 Ulrich Müller
2017-03-15 16:16 Manuel Rüger
2017-01-24 13:43 Agostino Sarubbo
2017-01-20 15:53 Chí-Thanh Christopher Nguyễn
2017-01-20 15:49 Chí-Thanh Christopher Nguyễn
2016-12-06 12:32 Manuel Rüger
2016-11-13 17:06 Manuel Rüger
2016-10-01 12:29 Jeroen Roovers
2016-10-01 11:24 Lars Wendler
2016-08-19 10:07 Pacho Ramos
2016-06-28 21:11 Chí-Thanh Christopher Nguyễn
2016-06-10 15:32 Agostino Sarubbo
2016-06-08 19:39 Markus Meier
2016-06-01 15:10 Tobias Klausmann
2016-05-17 16:15 Chí-Thanh Christopher Nguyễn
2016-04-07 22:58 Chí-Thanh Christopher Nguyễn
2016-04-07 22:55 Chí-Thanh Christopher Nguyễn
2016-04-05 13:12 Jeroen Roovers
2016-03-10 18:37 Chí-Thanh Christopher Nguyễn
2016-02-10 20:41 Markus Meier
2016-02-04 10:42 Tobias Klausmann
2016-02-01  8:14 Agostino Sarubbo
2016-01-07 16:32 Chí-Thanh Christopher Nguyễn
2016-01-07 16:29 Chí-Thanh Christopher Nguyễn
2015-11-23  9:25 Agostino Sarubbo
2015-11-16 14:19 Agostino Sarubbo
2015-11-10 19:00 Markus Meier
2015-11-05 11:20 Agostino Sarubbo
2015-11-04 15:17 Agostino Sarubbo
2015-11-01 13:34 Mikle Kolyada
2015-10-31  6:42 Jeroen Roovers
2015-10-30  9:18 Agostino Sarubbo
2015-09-01 21:34 Chí-Thanh Christopher Nguyễn

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1657300221.5f6f206ceb1aeeb2423dec02f02f67ebbe087b26.mpagano@gentoo \
    --to=mpagano@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox